/*@font-face {
    font-family: "PT Mono";
    src: url("./public/PTMono-Regular.ttf");
}*/
html, body
{
    padding: 0;
    margin: 0;

    font-family: Arial, sans-serif;
}
body
{
    background: black;
    overflow: hidden;
}
body.white-bg
{
    background: white;
}
#loading
{
    fill: white;
    animation: loading 2s cubic-bezier(.19,.53,.77,.6) infinite;
    width: 20px;
    height: 20px;
    position: absolute;
    left: calc(50% - 13px);
    //top: calc(50% - 15px);
    bottom: 14px;

}
body.white-bg #loading
{
    fill: black;
}
@keyframes loading {
    from
    {
        transform: rotate(0);
    }
    to
    {
        transform: rotate(720deg);
    }
}
canvas
{
    position: absolute;
    width: 100%;
    z-index: 999;
    transition: opacity 4s;
}
.app
{
    --border: 54px;
    --columnWidth: calc(50vw - var(--border));
    --columnHeight: calc(85vh - var(--border) * 2);
    --originalAspectRatio: 1.7783076923076924;
    --mainWidth: min(calc(var(--columnWidth) / 2), calc(var(--columnHeight) / 2 * var(--originalAspectRatio)));
    --mainHeight: min(calc(var(--columnHeight) / 2), calc((var(--columnWidth) / 2) / var(--originalAspectRatio)));
    display: none;
}
.app.hidden svg, .app.hidden canvas:nth-of-type(1)
{
    opacity: 0;
}
.tempCanvas
{
    opacity: 1;
}
.main
{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: var(--mainWidth);
    height: var(--mainHeight);

}
.bg
{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    /*/width: var(--columnWidth);*/
    height: min(calc(var(--mainHeight) * 2), var(--columnHeight));
    overflow: hidden;
}
.main, .bg
{
    background-size: 200% 200%;
    background-position: 50% 100%;
    aspect-ratio: var(--originalAspectRatio) / 1;
    /*transition: background-position 500ms, background-size 500ms;*/
}
.main_left, .bg_left
{
    right: 50%;
}
.main_right, .bg_right
{
    left: calc(50% - 1px);

}


.info
{
    position: absolute;
    bottom: 5px;
    left: 50px;
    font-size: 11px;
    z-index: 100;
    color: white;
    transition: transform 800ms, opacity 800ms;
}
.info_mobile
{
    position: absolute;
    padding-bottom: 64px;
    padding-left: 11px;
    font-size: 11px;
    z-index: 100;
    bottom: 0;
    left: 0;
    transition: transform 800ms, opacity 800ms;
    padding-top: 100vh;
    background: white;
    color: black;
    pointer-events: none;
}
.info_hide, .fullscreen_button
{
    position: absolute;
    user-select: none;
    font-size: 30px;

    width: 20px;
    height: 20px;
    cursor: pointer;
    z-index: 200;
}
.info_hide
{
    transform: rotate(45deg);
    transition: transform 300ms;
    left: 15px;
    bottom: 5px;
    height: 40px;
}
.fullscreen_button
{
    right: 16px;
    bottom: 22px;
}
.info_hide path, .fullscreen_button path
{
    stroke: white;
}
.info_hide.hidden
{
    transform: rotate(0deg);
}
.info.hidden, .info_mobile.hidden
{
    //transform: translateY(10px) translateY(100%);
    opacity: 0;
}
body.white-bg .info, body.white-bg .info_hide, body.white-bg .info_hide path, body.white-bg .fullscreen_button path
{
    color: black;
    stroke: black;
}
.info .entry
{
    margin-left: 40px;
    display: inline-block;
}
.info .entry:first-child
{
    margin-left: 0;
}
.info .value
{
    font-weight: bold;
}

.main svg, .bg svg
{
    position: absolute;
    top: 0;
    transition: opacity 4s;
}

svg.blur text
{
    filter: blur(20px)
}

.custom_panel
{
    position: absolute;
    background: gainsboro;
    padding: 10px;
}

.custom_panel button, .custom_panel label
{
    margin-bottom: 4px;
}

.info table
{
    max-width: 1000px;
}
.info td
{
    padding: 2px;
    font-size: 9px;
    vertical-align: top;
}

.info_mobile td
{
    padding: 2px;
    padding-top: 12px;
    font-size: 10px;
    vertical-align: top;
}


@media (min-width:700px) {
    .info td
    {
        padding: 5px;
        min-width: 190px;
    }
    .info .short
    {
        min-width: 120px;
    }
}


.info
{
    display: none;
}
.info_mobile{
    display: block;
}
@media (max-width:700px) {
    body:has(.info_mobile.shown) .info_hide path, body:has(.info_mobile.shown) .fullscreen_button path  {
        stroke: black
    }
}

@media (min-width:700px) {
    .info
    {
        display: block;
    }
    .info_mobile{
        display: none;
    }

}